#include <iostream>

using namespace std;

int main() {
int a, b;
int x, y;

cin >> a >> b;
cin >> x >> y;

if (a > b + x - y) { /*provera jel prvi tim ima veci broj golova od drugog plus broj mogucih golova */
cout << "prvi" << endl;
} else if (b > a + y - x) {
cout << "drugi" << endl;
} else if (a + x == b + y) {
cout << "nijedan" << endl;
} else if (a+x > b+y or a+x < b+y){
cout << "?" << endl;
}

else {
    cout << "?" << endl;
}

return 0;
}